%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-sasl
Version:          1.0.5
Release:          %mkrel 3
Group:            Development/Java
Summary:          SASL Provider for J2SE
License:          LGPLv2+
URL:              https://github.com/wildfly-security/jboss-sasl
Source0:          https://github.com/wildfly-security/jboss-sasl/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)

%description
This package contains SASL Provider for J2SE

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1491703
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1263650
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 1.0.5-1.mga6
+ Revision: 1100755
- New version 1.0.5
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 1.0.0-13.mga6
+ Revision: 980403
- First rebuild of the java stack
- sync package jboss-sasl with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.0-0.1.Final.8.mga5
+ Revision: 811901
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.1.Final.7.mga5
+ Revision: 745397
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.0-0.1.Final.5.mga4
+ Revision: 559831
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-0.1.Final.3.mga3
+ Revision: 355158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.0.0-0.1.Final.2.mga3
+ Revision: 339849
- Add codehaus-parent as  buildrequire

* Sun Jun 24 2012 dmorgan <dmorgan> 1.0.0-0.1.Final.1.mga3
+ Revision: 263175
- Clean spec file
+ gil <gil>
- update to 1.0.0.Final
- imported package jboss-sasl


* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta1
- Initial packaging

